Bug 994616 - (CVE-2013-1434, CVE-2013-1435) CVE-2013-1434 CVE-2013-1435 cacti: SQL injection and shell escaping issues fixed in 0.8.8b
CVE-2013-1434 CVE-2013-1435 cacti: SQL injection and shell escaping issues fi...
Status: CLOSED UPSTREAM
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130807,repor...
: Security
Depends On: 994617 994618
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 11:50 EDT by Vincent Danen
Modified: 2016-06-10 17:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: cacti 0.8.8b
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 17:08:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-08-07 11:50:08 EDT
Cacti 0.8.8b was released [1] which includes a security fix for "SQL injection and shell escaping issues".  Current Fedora and EPEL include 0.8.8a which is vulnerable to these flaws.  No other information is currently available, however the 0.8.8b release is primarily a bug fix so should be safe to rebase across the board.


[1] http://sourceforge.net/mailarchive/message.php?msg_id=31258868
Comment 1 Vincent Danen 2013-08-07 11:51:37 EDT
Created cacti tracking bugs for this issue:

Affects: fedora-all [bug 994617]
Affects: epel-all [bug 994618]
Comment 2 Vincent Danen 2013-08-07 12:07:43 EDT
Code commits look to be as follows:

* SQL injection: http://svn.cacti.net/viewvc?view=rev&revision=7394
* Shell escape in snmp.php: http://svn.cacti.net/viewvc?view=rev&revision=7392
* Shell escape in rrd.php: http://svn.cacti.net/viewvc?view=rev&revision=7393
Comment 3 Vincent Danen 2013-08-07 12:08:01 EDT
CVEs requested:

http://www.openwall.com/lists/oss-security/2013/08/07/7
Comment 4 Jan Lieskovsky 2013-08-08 05:23:03 EDT
The CVE identifiers have been assigned as follows
(http://www.openwall.com/lists/oss-security/2013/08/07/15):

CVE-2013-1434: for the SQL injection issues, fixed by
http://svn.cacti.net/viewvc?view=rev&revision=7394

CVE-2013-1435: for the shell escaping issues, fixed by
http://svn.cacti.net/viewvc?view=rev&revision=7392 and
http://svn.cacti.net/viewvc?view=rev&revision=7393
Comment 6 Ken Dreyer 2013-08-08 17:37:19 EDT
Thanks for pointing out those commits. Since this is SQL injection, I'm still planning to push this to stable ASAP, even with the broken graphs, because I don't want to reset the timers in Bodhi. We can pick up those patches on a later release, assuming upstream won't ship 0.8.8c for those.
Comment 7 Ken Dreyer 2013-08-09 13:05:36 EDT
Link to upstream discussion about the graph regressions: http://forums.cacti.net/viewtopic.php?f=21&t=50602

(For Fedora and EPEL, we're still on track to get 0.8.8b into stable ASAP, as described in comment #6)
Comment 8 Fedora Update System 2013-08-17 20:32:33 EDT
cacti-0.8.8b-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-08-17 20:35:43 EDT
cacti-0.8.8b-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-08-30 19:38:35 EDT
cacti-0.8.8b-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-08-30 19:39:02 EDT
cacti-0.8.8b-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.